<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Block_Adminhtml_System_Config_Quotas_Info extends Mage_Adminhtml_Block_Template implements Varien_Data_Form_Element_Renderer_Interface
{
    protected $_storeList = null;
    protected function _construct()
    {
        $this->setData('template', 'kiwiz/quotas_info.phtml');
        parent::_construct();
    }

    public function render(Varien_Data_Form_Element_Abstract $element)
    {
        return $this->toHtml();
    }

    public function getLogoUrl()
    {
        return Mage::helper('kiwiz')->getLogoUrl();
    }

    public function getQuotas()
    {
        return Mage::helper('kiwiz')->getQuotas();
    }

    public function getProgressbarHtml($used,$limit)
    {
        $block = $this->getLayout()->createBlock('kiwiz/adminhtml_progressbar');
        $block->setValue($used)->setMax($limit);
        return $block->toHtml();
    }
}