<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Observer_Document_View_Status
{
    public function toHtmlBefore(Varien_Event_Observer $observer)
    {
        $block = $observer->getEvent()->getBlock();
        $parent = $block->getParentBlock();
        if($block->getType() == 'adminhtml/sales_order_view_info') {
            $transport = $observer->getEvent()->getTransport();
            $statusBlock = $block->getLayout()->createBlock('kiwiz/adminhtml_document_view_status');
            $statusBlock->setParentBlock($parent);
            $html = $transport->getHtml();
            $statusHtml = $statusBlock->toHtml();
            $transport->setHtml($statusHtml.$html);
        }
    }
}