<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Adminhtml_Config_Data extends Mage_Adminhtml_Model_Config_Data
{
    public function save()
    {
        // Compatibility with magento 1.6
        $this->_validate();
        $this->_getScope();
        Mage::dispatchEvent('kiwiz_config_data_save_before', array('object' => $this));
        return parent::save();
    }
}