<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Flag_Token extends Mage_Core_Model_Flag
{
    const FLAG_CODE = 'kiwiz_token_%s';

    public function setFlagCodeParams($storeId)
    {
        $this->_flagCode = sprintf(self::FLAG_CODE, (int) $storeId);
        return $this;
    }

    public static function unsetAll()
    {
        $resource = Mage::getSingleton('core/resource');
        $writeConnection = $resource->getConnection('core_write');

        $tableName = $resource->getTableName('core_flag');
        $value = sprintf(self::FLAG_CODE, '%');

        $writeConnection->query("DELETE FROM $tableName WHERE `flag_code` LIKE '$value'");
    }
}