<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Source_Product_Attributes extends Mage_Catalog_Model_Resource_Eav_Mysql4_Product_Attribute_Collection
{
    public function toOptionArray()
    {
        $this->addFieldToFilter('is_visible', 1);
        $this->setOrder('frontend_label', 'ASC');

        $res = $this->_toOptionArray('attribute_code', 'frontend_label');
        array_unshift($res, array('value' => '', 'label' => ''));

        return $res;
    }
}