<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$installer = $this;
$installer->startSetup();

// Logo
$collection = Mage::getResourceModel('core/config_data_collection')
    ->addFieldToFilter('path', 'sales/identity/logo');
foreach($collection as $item) {
    Mage::getModel('core/config')->saveConfig(
        'kwgeneral/identity/logo',
        $item->getValue(),
        $item->getScope(),
        $item->getScopeId()
    );
}


// Address
$collection = Mage::getResourceModel('core/config_data_collection')
    ->addFieldToFilter('path', 'sales/identity/address');
foreach($collection as $item) {
    Mage::getModel('core/config')->saveConfig(
        'kwgeneral/identity/address',
        $item->getValue(),
        $item->getScope(),
        $item->getScopeId()
    );
}


$installer->endSetup();